Bug 15230 - Remove unused file circ/stats.pl from system
Summary: Remove unused file circ/stats.pl from system
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-21 07:52 UTC by Marc Véron
Modified: 2017-06-14 22:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15230: Remove unused file circ/stats.pl and stats.tt from system (9.81 KB, patch)
2015-11-21 15:57 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15230: Remove unused file circ/stats.pl and stats.tt from system (9.91 KB, patch)
2015-11-24 16:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15230: Remove unused file circ/stats.pl and stats.tt from system (10.12 KB, patch)
2015-11-25 15:52 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-11-21 07:52:31 UTC
circ/stats.pl and koha-tmpl/intranet-tmpl/prog/en/modules/circ/stats.tt seem not to be used.

To verify: git grep '/stats.pl'

koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation-home.tt:<!--   <li>    <a href="/cgi-bin/koha/circ/stats.pl?time=yesterday">Daily 
koha-tmpl/intranet-tmpl/prog/en/modules/circ/stats.tt:            <li><a href="/cgi-bin/koha/circ/stats.pl?time=yesterday">yesterday</a></l
koha-tmpl/intranet-tmpl/prog/en/modules/circ/stats.tt:            <li><a href="/cgi-bin/koha/circ/stats.pl?time=today">today</a></li>

The reference to stats.pl in circulation-home.tt is commented out.
Comment 1 Marc Véron 2015-11-21 15:57:02 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2015-11-24 16:14:20 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-11-25 15:52:33 UTC
Created attachment 45148 [details] [review]
Bug 15230: Remove unused file circ/stats.pl and stats.tt from system

This patch removes stats.pl and stats.tt from system.

To test:
- Verify that both files are not used and that the only reference in
  koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation-home.tt
  is commented out.
- Apply patch
- Verify that the files are deleted and the reference is removed.
- git grep 'stats.pl', verify that there are no more references to
  this file.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
See the following commit for more info on this script:
  commit 60105bd692a07639f275543365acfca4f464c1a2
  Date:   Tue Jul 8 20:02:34 2008 -0500
    fix for 2008: Daily reconciliation report broken
Comment 4 Kyle M Hall 2015-12-11 16:48:52 UTC
Pushed to master!

Thanks Marc!
Comment 5 Julian Maurice 2015-12-14 07:43:46 UTC
Patch pushed to 3.22.x, will be in 3.22.1